.form-section {
    padding: 20px;
    border-radius: 6px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    background-color: #fff;
    margin: 15px auto;
}

.form-group {
    margin-bottom: 20px;
}

.form-group textarea {
    min-height: 120px;
    resize: vertical;
}

.form-row {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    gap: 20px;
}

.btn-submit {
    color: white;
    padding: 9px 9px;
    border: none;
    border-radius: 6px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    display: block;
    margin: 0 auto;
    background: #333;
}

.address-contact {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-flow: wrap;
    width: 100%;
    margin-top: 20px;
    margin: 15px auto;
}

.item-address-contact {
    width: calc(100% / 3);
    padding: 10px;
    display: flex;
    align-items: center;
}

.img-address-contact {
    color: #333;
}

.img-address-contact .fa-location-dot {
    font-size: 28px;
}

.img-address-contact .fa-phone-flip {
    font-size: 28px;
}

.img-address-contact .fa-envelope {
    font-size: 28px;
}

.text-address-contact {
    margin-left: 10px;
    line-height: 22px;
}

.text-address-contact span {
    color: #9b9b9b;
    font-size: 10px;
}

.text-address-contact p {
    color: #363636;
    font-size: 12px;
    font-weight: 700;
}

.map-section {
    text-align: center;
    margin: 15px auto;
}

.map-placeholder {
    width: 100%;
    height: 400px;
    background-color: #e0e0e0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    color: #666;
    border-radius: 8px;
    overflow: hidden;
}

.map-placeholder iframe {
    width: 100%;
    height: 100%;
    border: 0;
}

body {
    background-color: #fffdf8 !important;
}

.contact_section {
    padding: 80px 0;
}

.contact-container {
    display: flex;
    gap: 175px;
    flex-wrap: wrap;
}

/* Cột bên trái */
.contact_info {
    flex: 1;
    min-width: 350px;
}

.sub-title {
    color: var(--color-text-active);
    font-weight: 500;
    font-size: 14px;
    margin-bottom: 24px;
}

.main-title {
    color: var(--color-text-active);
    font-size: 42px;
    line-height: 1.2;
    margin-bottom: 42px;
    font-weight: 600;
    line-height: 1.4;
}

.info-section {
    margin-bottom: 36px;
}

.info-section h3 {
    font-size: 16px;
    font-weight: 600;
    color: var(--price-sale);
    margin-bottom: 4px;
}

.info-section p {
    font-size: 14px;
    color: var(--price-sale);
    margin-bottom: 16px;
}

.info_contact_addess {
    display: flex;
    flex-direction: column;
    gap: 14px;
}

.tag {
    width: fit-content;
    display: inline-block;
    background-color: #ffeff4;
    color: var(--color-text-active);
    padding: 12px 16px;
    border-radius: 20px;
    font-size: 14px;
    font-weight: 500;
    text-decoration: none;
}

.social_contact {
    width: fit-content;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 14px;
    padding: 8px 16px !important;
}

.tag a {
    color: var(--color-text-active);
    font-size: 18px;
    text-decoration: none;
}

.tag a img {
    border-radius: 50%;
}

.map-placeholder img {
    width: 100%;
    border-radius: 10px;
    margin-top: 15px;
}

/* Cột bên phải - Form */
.contact-form-container {
    flex: 1;
}

.contact-form-container form {
    background-color: #fafafa;
    min-width: 350px;
    padding: 40px;
    border-radius: 15px;
    position: sticky;
    top: 80px;
}

.input-group {
    margin-bottom: 25px;
}

.input-group label {
    display: block;
    font-weight: bold;
    font-size: 15px;
    margin-bottom: 5px;
}

.input-group label span {
    color: var(--color-text-active);
}

.input-group input,
.input-group textarea {
    width: 100%;
    border: none;
    border-bottom: 1px solid #ccc;
    background: transparent;
    padding: 10px 0;
    outline: none;
    font-size: 14px;
    font-family: 'Inter', cursive;
}

.submit-btn {
    background-color: #ffeff4;
    color: var(--color-text-active);
    border: none;
    padding: 15px 30px;
    border-radius: 10px;
    font-weight: bold;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 10px;
    transition: 0.3s;
}

.submit-btn:hover {
    background-color: var(--color-text-active);
    color: white;
}

/* Extra Large Devices (Small Desktop) */
@media (max-width: 1199px) {
    .address-contact {
        flex-direction: column;
    }
    .item-address-contact {
        width: 100%;
    }

    .contact-container {
        gap: 40px;
    }
}

/* Large Devices (Tablets) */
@media (max-width: 991px) {
    .contact_section {
        padding: 30px 0;
    }
    .main-title {
        font-size: 24px;
    }
    .contact-container {
        gap: 20px;
        flex-direction: column;
    }
    .contact-form-container form {
        padding: 20px;
    }
}

/* Medium Devices (Tablets) */
@media (max-width: 767px) {
}

/* Small Devices (Phones) */
@media (max-width: 575px) {
}

/* Extra Small Devices */
@media (max-width: 374px) {
}
